import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/newsfeed_comment_publish_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/newsfeed_comment_publish_entity.g.dart';

@JsonSerializable()
class NewsfeedCommentPublishEntity {
  int? id;
  String? content;
  @JSONField(name: "to_user_id")
  int? toUserId;

  NewsfeedCommentPublishEntity();

  factory NewsfeedCommentPublishEntity.fromJson(Map<String, dynamic> json) => $NewsfeedCommentPublishEntityFromJson(json);

  Map<String, dynamic> toJson() => $NewsfeedCommentPublishEntityToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}